@import "../../../assets/styles/main.scss";

.BestDealsPageDetailsSection {
  background-color: #f6f6f6;
  padding: 60px 0;
  position: relative;
  padding: 60px 0px 119px 0px;
  .backBackgroundImage {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0px;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: 35px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .BestDealsPageDetailsContainer {
    @include container-medium-1;
    .BestDealsPageBanner {
      background: linear-gradient(90deg, #89f7fe 0%, #66a6ff 100%);
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 35px 89px 55px 124px;
      position: relative;
      z-index: 99;
      border-radius: 32px;
      @include xl{
        padding: 25px 50px 58px 60px;
      }
      @include lg{
        padding: 25px 30px 58px 45px;
      }

      .bestDealsBannerText {
        max-width: 514px;
        height: 213px;
        display: flex;
        flex-flow: column;
        justify-content: space-between;
        h1 {
          font-size: 60px;
          @include inter700;
          line-height: normal;
          @include xl{
            font-size: 54px;
          }
          @include lg{
            font-size: 50px;
          }
        }
        h4 {
          font-size: 24px;
          @include inter500;
          @include lg{
            font-size: 20px;
          }
        }
      }
      .bestDealsBannerImage {
        width: 410px;
        height: 410px;
        @include xl{
            width: 380px;
            height: 380px;
        }
        @include lg{
            width: 372px;
            height: 300px;
        }
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
    }
    .bestDealsDetailBox {
      width: calc(100% - 224px);
      background: getColorHex("white");
      height: auto;
      box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
      border-radius: 32px;
      padding: 50px;
      display: flex;
      flex-direction: column;
      gap: 36px;
      margin: -100px auto 0px;
      position: relative;
      z-index: 99;
      @include xl {
        width: calc(100% - 120px);
      }
      @include lg {
        width: calc(100% - 90px);
        margin: -90px auto 0px;
        padding: 30px;
      }
    }
    .bestDeals_deatils_countryGridSection {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
        @include lg{
            gap: 20px;
        }
  
        @include md {
          grid-template-columns: repeat(2, 1fr);
        }
  
        @include xs {
          grid-template-columns: repeat(1, 1fr);
        }
      }
      a {
        height: 210px;
        position: relative;
        @include lg{
            height: 200px;
        }
        .cardCountryFlag{
            width: 29px !important;
            height: 29px !important;
        }
       
      }
      .planecoupan {
        position: absolute;
        background-image: url(https://stagecdn.waosim.com/landingpage/assets/plan_discount_img.png);
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        width: 71px;
        height: 35px;
        top: 11px;
        right: 29px;
        p {
           color:  getColorHex("white");
          text-align: center;
          text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
          font-size: 10px;
         @include inter400;
          line-height: 11px;
          margin-bottom: 8px;
          padding-top: 4px;
          left: 4%;
          position: relative;
        }
        h1 {
           color:  getColorHex("white");
          text-align: center;
          text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
          font-size: 15px;
          @include inter700;
          line-height: 18px;
          position: relative;
          left: 6%;
        }
      }
  }
}

.footer_color {
  background-color: getColorHex("background");
  width: 100%;
  height: 200px;
  position: absolute;
  transform: scaleY(1.1);
  left: 0;
}
